Reserve a target for scoped customer access
POST
/v1/customer-connectors
const url = 'https://api.vocapable.com/v1/customer-connectors';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"target_id":"example","display_name":"example","policy":{"version":1,"hints":["customer_reference"],"templates":{"additionalProperty":["display_name"]},"verification_methods":["on_file_channel_otp"],"grant_seconds":300,"max_data_age_seconds":30,"max_searches_per_call":3,"max_challenges_per_call":2,"max_lookups_per_call":10}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/customer-connectors \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "target_id": "example", "display_name": "example", "policy": { "version": 1, "hints": [ "customer_reference" ], "templates": { "additionalProperty": [ "display_name" ] }, "verification_methods": [ "on_file_channel_otp" ], "grant_seconds": 300, "max_data_age_seconds": 30, "max_searches_per_call": 3, "max_challenges_per_call": 2, "max_lookups_per_call": 10 } }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CustomerConnectorCreate
object
target_id
required
Target Id
string
display_name
required
Display Name
string
policy
required
CustomerAccessPolicy
object
version
Version
integer
hints
required
Hints
Array<string>
templates
required
Templates
object
key
additional properties
Array<string>
verification_methods
required
Verification Methods
Array<string>
grant_seconds
Grant Seconds
integer
max_data_age_seconds
Max Data Age Seconds
integer
max_searches_per_call
Max Searches Per Call
integer
max_challenges_per_call
Max Challenges Per Call
integer
max_lookups_per_call
Max Lookups Per Call
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CustomerConnectorOut
object
target_id
required
Target Id
string
display_name
required
Display Name
string
policy
required
CustomerAccessPolicy
object
version
Version
integer
hints
required
Hints
Array<string>
templates
required
Templates
object
key
additional properties
Array<string>
verification_methods
required
Verification Methods
Array<string>
grant_seconds
Grant Seconds
integer
max_data_age_seconds
Max Data Age Seconds
integer
max_searches_per_call
Max Searches Per Call
integer
max_challenges_per_call
Max Challenges Per Call
integer
max_lookups_per_call
Max Lookups Per Call
integer
id
required
Id
string
state
required
State
string
configuration_sha256
required
Configuration Sha256
string
created_at
required
Created At
string format: date-time
Example
{ "policy": { "version": 1, "hints": [ "customer_reference" ], "templates": { "additionalProperty": [ "display_name" ] }, "verification_methods": [ "on_file_channel_otp" ], "grant_seconds": 300, "max_data_age_seconds": 30, "max_searches_per_call": 3, "max_challenges_per_call": 2, "max_lookups_per_call": 10 }, "state": "enabled"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}